steam 1:1.0.0.54+repack-5ubuntu1 source package in Ubuntu

Changelog

steam (1:1.0.0.54+repack-5ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid (LP: #1752198). Remaining changes:
    - Add an epoch to the version number.
    - Add a steam-installer package that depends on steam and contains
      appstream metadata to try to allow Steam to be installable via the
      default Software app.
    - Drop debconf question because that is not supported by gnome-software.

steam (1.0.0.54-5) unstable; urgency=medium

  * Update to debhelper 11.
  * Recommend nvidia-driver-libs-i386 (closes: #839592).
  * Add German translation to the desktop file (closes: #889733).
    - Thanks to Ronny Standtke.

steam (1.0.0.54-4) unstable; urgency=medium

  * Team upload
  * Depend on libgl1-mesa-dri (>= 17.3) | libtxc-dxtn0 now that S3TC
    support is no longer patent-encumbered and has been enabled in Mesa
    (Closes: #889987)
    - The alternative dependency can be removed if backports to older
      suites are no longer interesting.

steam (1.0.0.54-3) unstable; urgency=medium

  * Team upload.
  * Set DBUS_FATAL_WARNINGS environment variable to 0, working around
    versions of SDL that use the libdbus API incorrectly when ibus is
    detected. (Closes: #882607)
  * d/copyright: Refer to the https version of copyright-format
  * d/control: Elevate Priority from extra to optional, following the
    deprecation of extra in Policy v4.0.1
  * Update Standards-Version to 4.1.3 (no further changes required)

 -- Simon Quigley <email address hidden>  Tue, 27 Feb 2018 18:32:39 -0600

Upload details

Uploaded by:
Simon Quigley on 2018-02-28
Uploaded to:
Bionic
Original maintainer:
Ubuntu Developers
Architectures:
i386 all
Section:
games
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Eoan release on 2019-04-18 multiverse games
Disco release on 2018-10-30 multiverse games
Cosmic release on 2018-05-01 multiverse games
Bionic release on 2018-02-28 multiverse games

Builds

Bionic: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
steam_1.0.0.54+repack.orig.tar.xz 1.3 MiB 87fb3eac8f1e6b30d56e4c6aa125cd83917784a686062679f0b255c9d7cb9c1a
steam_1.0.0.54+repack-5ubuntu1.debian.tar.xz 11.0 KiB 10614a53fcdf3a36fbda655d7d3064f2d8009dfde3cc35056de267868e3067cc
steam_1.0.0.54+repack-5ubuntu1.dsc 2.1 KiB f7d00c8723baf879d88d8fc464d61f1af872ae667a1a6050d5a02f8594383de7

View changes file

Binary packages built by this source

steam: Valve's Steam digital software delivery system

 Steam (http://www.steampowered.com) is a software content delivery system
 developed by Valve software (http://www.valvesoftware.com). There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package comes with a fairly substantial non-free license agreement
 that must be accepted before installing the software. If you have any
 opposition to non-free work, please select "I DECLINE" during the package
 installation dialogs. There are also additional agreements in various
 parts of the application that differ from the original agreement. In
 other words, pay attention and read carefully if you're worried about your
 rights.

steam-dbgsym: debug symbols for steam
steam-devices: Device support for Steam-related hardware

 This package provides udev rules for various Steam-related hardware devices
 such as the Steam Controller (gamepad) and the HTC Vive (virtual reality
 headset).

steam-installer: Installer for Valve's Steam digital software delivery system

 Steam (http://www.steampowered.com) is a software content delivery system
 developed by Valve software (http://www.valvesoftware.com). There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package enables Steam to be easily installed via an appstream client
 on non-i386 systems as long as the i386 foreign architecture is configured.
 This is the default on Ubuntu, but on Debian, you may need to run as root:
 dpkg --add-architecture i386; apt update
 .
 This package is not needed if you only want to install Steam directly with
 apt or with a non-appstream client like Synaptic.